Page MenuHomePhabricator

SyntaxHighlight box forces 100% width; can end up hidden below under other HTML elements
Closed, ResolvedPublic

Description

I'm not sure if this is an actual bug or not, but the SyntaxHighlight box takes up 100% of the page width regardless if there is something else in the way on the page. For instance, on https://www.mediawiki.org/wiki/Extension:SyntaxHighlight_GeSHi the first usage instance ducks under the infobox. Likewise on https://en.wikipedia.org/wiki/HTML_element.

I'm using Chrome 42 on Yosemite, it was originally reported on OTRS (ticket 2015050310010375) by someone using SeaMonkey 2.26.1 on XP SP3.

Event Timeline

Fredddie created this task.May 6 2015, 3:10 PM
Fredddie raised the priority of this task from to Needs Triage.
Fredddie updated the task description. (Show Details)
Fredddie added a project: SyntaxHighlight.
Fredddie added a subscriber: Fredddie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 3:10 PM
Aklapper renamed this task from SyntaxHighlight box forces 100% width to SyntaxHighlight box forces 100% width; can end up hidden below under other HTML elements.May 21 2015, 2:36 PM
Aklapper triaged this task as Low priority.
Aklapper set Security to None.
TheDJ added a subscriber: TheDJ.Jun 6 2015, 3:53 PM

This has been a known problem since 2004 and is tracked as T2260.

It's one of those issues that has seen some 4 attempts to fix it over that last ten years, all of them reverted because of negative side effects.

TheDJ closed this task as Resolved.Jun 25 2015, 9:45 PM
TheDJ claimed this task.

This should be fixed now that T2260 is fixed.